#property indicator_chart_window
#property indicator_buffers 0
#property indicator_plots   0

extern bool  CreateLine    = true;         // Create line if it does not exist?
input string LineName      = "MyLine1";    // Line name
input color  LineColor     = AliceBlue;    // Line color
input int    LineStyle     = STYLE_SOLID;  // Line style
input double AlertPipRange = 5;            // Pip rnge for alert
input string AlertWav      = "RIALZO.wav"; // Soun file for alerts

int OnInit() 
{
   return(0);
}
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime& time[],
                const double& open[],
                const double& high[],
                const double& low[],
                const double& close[],
                const long& tick_volume[],
                const long& volume[],
                const int& spread[])
{

   double bid      = SymbolInfoDouble(_Symbol,SYMBOL_BID);
   double pipMulti = MathPow(10,SymbolInfoInteger(_Symbol,SYMBOL_DIGITS)%2);
   
      if (CreateLine && ObjectFind(0,LineName)<0)
         ObjectCreate(0,LineName, OBJ_HLINE, 0, 0, bid);
            ObjectSetInteger(0,LineName, OBJPROP_STYLE, LineStyle);
            ObjectSetInteger(0,LineName, OBJPROP_COLOR, LineColor);
            ObjectSetInteger(0,LineName, OBJPROP_SELECTABLE, true);
   
            double val = ObjectGetDouble(0, LineName, OBJPROP_PRICE);
               if (bid-AlertPipRange*_Point*pipMulti <= val && bid+AlertPipRange*_Point*pipMulti >= val) PlaySound(AlertWav);

   return(prev_calculated);
}